Simpler Navigation coming for Servers and Operating Systems
Coming soon: a much simpler Servers and Operating Systems section of the Community. We will combine many of the older boards, and you won't have to click through so many levels to get at the information you need. If you are looking for an older board and do not find it, check the consolidated boards, as the posts are still there.
Databases
cancel
Showing results for 
Search instead for 
Did you mean: 

HP-UX 11.00 AND ORACLE 8.1.6 on rp8400 server

Nago
Advisor

HP-UX 11.00 AND ORACLE 8.1.6 on rp8400 server

We have just acquired an rp8400 to be deployed in a SAN environement. Oracle 8.1.6 will be installed on th eserver running HP-UX 11.00.
Kindly provide me with known issues around this kind of setup including patches to be installed on d OS side and Oracle 8.1.6 version.
I believe ur response will help my implementation .,
Thx.
13 REPLIES
twang
Honored Contributor

Re: HP-UX 11.00 AND ORACLE 8.1.6 on rp8400 server

The patch that you need is follow :

The following OS patches are required to install Oracle8i
Release 2 (8.1.6) on HP-UX 11.0:

Locate these OS HP patches at http:
//www.hp.com

* Patch bundle 9905
* PHCO_17556
* PHCO_17792 (Dependency for PHKL_18543)
* PHCO_18229
* PHCO_19491
* PHCO_19666
* PHKL_14750
* PHKL_17038 (Dependency for PHKL_18543)
* PHKL_18543
* PHKL_19800 (Dependency for PHKL_18543)
* PHKL_20016
* PHKL_20079 (Dependency for PHKL_18543)
* PHNE_19616 (Dependency for PHSS_19748)
* PHSS_14582
* PHSS_15853
* PHSS_16849
* PHSS_17535
* PHSS_18066
* PHSS_18110
* PHSS_18430 (Dependency for PHSS_19748)
* PHSS_18649
* PHSS_19178
* PHSS_19593
* PHSS_19178
* PHSS_19748
* PHSS_19866
* PHSS_20544
twang
Honored Contributor

Re: HP-UX 11.00 AND ORACLE 8.1.6 on rp8400 server

In addition, about Kernel/Environment Settings:
SHMMAX 1GB
SHMMIN 1
SHMMNI 100
SHMSEG 10
SEMMNI 70
SEMMNS 200
maxdsiz and maxdsiz_64bit must be >= 128Mb

SHLIB_PATH = $ORACLE_HOME/lib (32/64 bit)

LD_LIBRARY_PATH = $ORACLE_HOME/lib64 (64 bit only)
Nago
Advisor

Re: HP-UX 11.00 AND ORACLE 8.1.6 on rp8400 server

Thx twang for ur response.
However, in your response, you have not said any thign particular about the server version rp8400.
Also I have the base release of Oracle 8.1.6. and not Rel 2 yet.
my oracle version is 32 bit whiel the HP-UX is 64 bit.
also what documentaion or tip do i need as per the SAN implementation on these paltforms.
Thx for anticipated response.
twang
Honored Contributor

Re: HP-UX 11.00 AND ORACLE 8.1.6 on rp8400 server

Hi, I found that both 8.1.6 (8i) 64-bit and 8.1.6 (8i) 32-bit are certified on this plarform (rp8400).
Regarding runging Oracle on SAN, I have no practical experience about it, I made no comments on this, You may take a look at this link:
http://www.STORAGEsearch.com/periphcart.html

Hope it helps.
twang
Massimo Bianchi
Honored Contributor

Re: HP-UX 11.00 AND ORACLE 8.1.6 on rp8400 server

Hi,
for oracle there are no special hint regarding the SAN, it is transparent to it !


I raccomend you to use zoning, to separate the traffic on the switch.

What HW are you going to use ?

Massimo
Yogeeraj_1
Honored Contributor

Re: HP-UX 11.00 AND ORACLE 8.1.6 on rp8400 server

hi,

i just checked the certification matrix on Metalink.

For Oracle Server - Enterprise Edition on HP-UX PA-RISC:

11i -- 8.1.7 (8i) 64-bit is Certified
11i -- 8.1.6 (8i) 64-bit is Desupported

I would suggest that you install Oracle 8.1.7 and patchset 8.1.7.4.

This should be completely transparent both at the database and application level. 8.1.7.4 is much better than base release 8.1.6.


hope this helps!

regards
Yogeeraj
No person was ever honoured for what he received. Honour has been the reward for what he gave (clavin coolidge)
Jeff Schussele
Honored Contributor

Re: HP-UX 11.00 AND ORACLE 8.1.6 on rp8400 server

Hi Nago,

You must rethink this setup.
HP-UX 11.0 is NOT supported on rp8400 - only HP-UX 11.11 (11i).
All cell-based systems - rp7405, rp7410, rp8400 & all SDs - require 11i to be supported by HP.

Rgds,
Jeff
PERSEVERANCE -- Remember, whatever does not kill you only makes you stronger!
Jeff Schussele
Honored Contributor

Re: HP-UX 11.00 AND ORACLE 8.1.6 on rp8400 server

And as Yogeeraj pointed out the *minimum* Oracle version one can run on HP-UX 11i is 8.1.7.4.
If you HAVE to run 11.0 & Oracle 8.1.6, you'll have to find an rp7430/50/70 to do it on. But note that rp7405/10 are cell-based systems also & would require 11i. The older N-class systems can run 11.0 as well.

Rgds,
Jeff
PERSEVERANCE -- Remember, whatever does not kill you only makes you stronger!
Nago
Advisor

Re: HP-UX 11.00 AND ORACLE 8.1.6 on rp8400 server

This is getting real interesting.
Twang, I will check the hyperlink u sent me.
Jeff, your input is key. Kindly refer me to a documentation that states the fact you presented.
This is to allow me inform my management of the position.
Thx in anticipation.
John Poff
Honored Contributor

Re: HP-UX 11.00 AND ORACLE 8.1.6 on rp8400 server

Hi,

Here is a link to the rp8400 page. The operating environment listed
is HP-UX 11i:

http://www.hp.com/products1/servers/rackoptimized/rp8400/specifications.html


Here is a list of the system requirements for HP-UX 11.0 and 11i:

http://devrsrc1.external.hp.com/STK/serversupport.html

Nice catch, Jeff!

JP
Jeff Schussele
Honored Contributor

Re: HP-UX 11.00 AND ORACLE 8.1.6 on rp8400 server

Hi (again) Nago,

The URL JP gave you for the rp8400 will show mgmnt that the only supported OS (OE they call it now) is 11i.

I don't have an Oracle MetaLink account so I can't point you to one there. But in my dealings w/the DBAs here - they all tell me that minimum Oracle for 11i is 8.1.7.4.

So verify that through MetaLink or your Oracle rep - but I'm 99% sure on that.

Remember that good planning leads to good luck.

Jeff
PERSEVERANCE -- Remember, whatever does not kill you only makes you stronger!
twang
Honored Contributor

Re: HP-UX 11.00 AND ORACLE 8.1.6 on rp8400 server

Check to see the Certify & Availability on Oracle MetaLink
------------------------------------------
Certify - Product Version and Other Selections: Oracle Server - Enterprise Edition On HP-UX PA-RISC:

Critical Notes For Oracle Server - Enterprise Edition
General Notes For Oracle Server - Enterprise Edition On HP-UX PA-RISC:
32-bit/64-bit Information:
HP-UX 11.0 & 11i can be either 32-bit or 64-bit.
If the Server product is 64-bit then 64-bit hardware (processors) is required.
O/S Information:

HP-UX 11.22 is an O/S for Itanium Processor Family ONLY. See Platform, HP-UX Itanium, for Certifications.
11.11 was renamed to 11i.
This platform ships the same code for HP 9000 Series HP-UX and Stratus Continuum/HP-UX.
Patch Sets

8.1.7.2.1 replaces 8.1.7.2.0: Do not install 8.1.7.2.0 on top of 8.1.7.1 or 8.1.7.1b. You need the 8.1.7.2.1 patch. This problem is specific to this platform.
Misc:

In addition to MicroFocus Cobol, Merant Server Express 2.0 compiler is certified, with 8.1.7 (8i), on this platform.
Oracle 9i is only certified with Merant Server Express 2.0 compiler.
Steven E. Protter
Exalted Contributor

Re: HP-UX 11.00 AND ORACLE 8.1.6 on rp8400 server

Unless you have a really specific reason to be on that version of Oracle, I suggest you migrate your data to 8.1.7.4.0

If you are going from 32 bit to 64 bit Database, you'll need to follow the procedure I'm attaching with regards to word size conversion.

Don't make your schedule too tight on this one, it takes some time.

SEP
Steven E Protter
Owner of ISN Corporation
http://isnamerica.com
http://hpuxconsulting.com
Sponsor: http://hpux.ws
Twitter: http://twitter.com/hpuxlinux
Founder http://newdatacloud.com